/**
 * 登录token相关api
 */
import {
	http
} from '@/api/service.js'

interface tokenProps {
	username: string;
	password: string;
}

/**
 * 获取token
 * @param {Object} params - 查询参数  
 */
export const fetchLoginToken = (params: tokenProps) => {
	const url = `?username=${params.username}&password=${params.password}&scope=read&grant_type=password`
	return http.post(`/authorization-server/oauth/token${url}`, {}, {
		header: {
			'Authorization': 'Basic YWRtaW5fY2xpZW50OmFkbWluX3NlY3JldA==',
			'Content-Type': 'application/x-www-form-urlencoded',
			'Accept': 'application/json',
		}
	})
}
