// -防抖
export function debounce(fn: any, wait: number) {
    let delay = wait || 500
    let timer
    return function() {
        let args = arguments;
        if (timer) {
            clearTimeout(timer)
        }
        let callNow = !timer
        timer = setTimeout(() => {
            timer = null
        }, delay)
        if (callNow) fn.apply(this, args)
    }
}

// -节流
export function throttle(fn: any, wait: number) {
    let delay = wait || 500
    let timer = null
    return function() {
        if (timer) {
            return
        }
        timer = setTimeout(() => {
            fn.apply(this, arguments)
            timer = null
        }, delay)
    }
}